Loading ...
Sorry, an error occurred while loading the content.

RE: [pcgen] Re: rpg.plambert.net autobuilds failing...

Expand Messages
  • Ross M. Lodge
    No extensive testing here, but it runs under my JDK 1.4.1_01 . . . Ross ... From: Paul M. Lambert [mailto:plambert@plambert.net] Sent: Sunday, November 02,
    Message 1 of 9 , Nov 2, 2003
    • 0 Attachment
      No extensive testing here, but it runs under my JDK 1.4.1_01 . . .

      Ross

      -----Original Message-----
      From: Paul M. Lambert [mailto:plambert@...]
      Sent: Sunday, November 02, 2003 3:55 PM
      To: pcgen@yahoogroups.com
      Subject: Re: [pcgen] Re: rpg.plambert.net autobuilds failing...


      On Sun, 02 Nov 2003, Bryan wrote:

      > YAY finally moving to java 1.4!!!
      >
      > Good luck getting it working right, i'm ready and willing to test as
      > soon as the builds appear
      >

      Bring it on!

      It has successfully compiled. Someone see if it actually runs, no?

      I don't have time to actually test it before I have to run.

      The autobuilds are currently off; if I get a confirmation from someone
      that it actually runs, I'll turn them back on.

      There are two changes: one, I had to move to the FreeBSD beta 4 JDK1.4.1
      as I mentioned before, and two, I had to put the jdom.jar file from
      www.jdom.org into libs/

      I'll try to add that lib file to the downloads on rpg.plambert.net at
      some point, too. But I've not looked at the license yet to verify that
      I am allowed.

      --plambert



      PCGen's release site: http://pcgen.sourceforge.net
      PCGen's alpha build: http://rpg.plambert.net/pcgen
      PCGen's FAQ:
      http://rpg.plambert.net/pcgen/current/_docs/
      To unsubscribe from this group, send an email to:
      pcgen-unsubscribe@egroups.com

      Your use of Yahoo! Groups is subject to http://docs.yahoo.com/info/terms/
    • Anestis Kozakis
      ... Ran fine and loaded a PCG fine. Running on a Mac Powerbook with OS 10.2.8 (fully updated). [kenosti%] java -version java version 1.4.1_01 Java(TM) 2
      Message 2 of 9 , Nov 2, 2003
      • 0 Attachment
        At 15:54 -0800 2003/11/02, Paul M. Lambert wrote:
        >On Sun, 02 Nov 2003, Bryan wrote:
        >
        >> YAY finally moving to java 1.4!!!
        >>
        >> Good luck getting it working right, i'm ready and willing to test as
        >> soon as the builds appear
        >>
        >
        >Bring it on!
        >
        >It has successfully compiled. Someone see if it actually runs, no?
        >
        >I don't have time to actually test it before I have to run.
        >
        >The autobuilds are currently off; if I get a confirmation from someone
        >that it actually runs, I'll turn them back on.
        >
        >There are two changes: one, I had to move to the FreeBSD beta 4 JDK1.4.1
        >as I mentioned before, and two, I had to put the jdom.jar file from
        >www.jdom.org into libs/
        >
        >I'll try to add that lib file to the downloads on rpg.plambert.net at
        >some point, too. But I've not looked at the license yet to verify that
        >I am allowed.

        Ran fine and loaded a PCG fine.

        Running on a Mac Powerbook with OS 10.2.8 (fully updated).

        [kenosti%] java -version
        java version "1.4.1_01"
        Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1_01-69.1)
        Java HotSpot(TM) Client VM (build 1.4.1_01-24, mixed mode)

        >--plambert

        Anestis.
        --
        kenosti@...
        "No brilliance is needed in the law. Nothing but common sense,
        and relatively clean fingernails".
        From "A Voyage Round My Father", by John Mortimer.
      • Devon Jones
        ... ok, Tested on a winXP pc. PCGen works. GMGen does not - you need to ship it with the plugins folder. this has some jars that were built in the process,
        Message 3 of 9 , Nov 2, 2003
        • 0 Attachment
          Paul M. Lambert wrote:

          >On Sun, 02 Nov 2003, Bryan wrote:
          >
          >
          >Bring it on!
          >
          >It has successfully compiled. Someone see if it actually runs, no?
          >
          >I don't have time to actually test it before I have to run.
          >
          >The autobuilds are currently off; if I get a confirmation from someone
          >that it actually runs, I'll turn them back on.
          >
          ok, Tested on a winXP pc. PCGen works. GMGen does not - you need to ship
          it with the 'plugins' folder. this has some jars that were built in the
          process, as well as some needed data files.

          >There are two changes: one, I had to move to the FreeBSD beta 4 JDK1.4.1
          >as I mentioned before, and two, I had to put the jdom.jar file from
          >www.jdom.org into libs/
          >
          >I'll try to add that lib file to the downloads on rpg.plambert.net at
          >some point, too. But I've not looked at the license yet to verify that
          >I am allowed.
          >
          >--plambert
          >
          JDOM is licensed under the Apache license, with the acknowledgement
          portion removed. It is a GPL compatable license.

          Devon
        • Paul M. Lambert
          ... OK, I m firing up the autobuilds again. Thanks to everyone who tested it! --plambert
          Message 4 of 9 , Nov 3, 2003
          • 0 Attachment
            On Nov 2, 2003, at 4:35 PM, Anestis Kozakis wrote:
            >
            > Ran fine and loaded a PCG fine.
            >
            > Running on a Mac Powerbook with OS 10.2.8 (fully updated).
            >
            > [kenosti%] java -version
            > java version "1.4.1_01"
            > Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.1_01-69.1)
            > Java HotSpot(TM) Client VM (build 1.4.1_01-24, mixed mode)
            >

            OK, I'm firing up the autobuilds again. Thanks to everyone who tested
            it!

            --plambert
          • jslicari
            It does seem to work OK on 1.3.x. Well, I tried it on a Mac where I specifically told it to use the 1.3 JVM. However, on a Mac there is a bit of a grey area
            Message 5 of 9 , Nov 3, 2003
            • 0 Attachment
              It does seem to work OK on 1.3.x. Well, I tried it on a Mac where I specifically told it
              to use the 1.3 JVM. However, on a Mac there is a bit of a grey area when you have
              both 1.3 and 1.4 installed so it may not have been a "pure" 1.3 environment.


              Joe

              --- In pcgen@yahoogroups.com, "Paul M. Lambert" <plambert@p...> wrote:
              > the rpg.plambert.net autobuilds are failing.
              >
              > this is a result of new code (gmgen, i believe, but don't trust me on
              > that) that requires java 1.4.x.
              >
              > i've installed a beta of java 1.4.1 for freebsd on rpg.plambert.net,
              > but who knows yet if it works. it's late, and i'm not gonna futz with
              > it anymore tonight.
              >
              > hopefully tomorrow, i can try a build with the 1.4.1 JDK and see if it
              > goes. if it does, i'll update the automated scripts to use 1.4.1, but
              > i'll need people to make sure that it still works.
              >
              > i'm especially interested in knowing if the 1.4.1 compiled pcgen will
              > run on a 1.3.x java environment without problems.
              >
              > thanks for your patience!
              >
              > --plambert
            • James Dempsey
              Hi Paul, Did you get to restart the auto-builds yet? There only seems to be one good one from Sun Nov 2 23:47:00 2003 GMT - no new ones yet. Cheers, ... James
              Message 6 of 9 , Nov 4, 2003
              • 0 Attachment
                Hi Paul,

                Did you get to restart the auto-builds yet? There only seems to be one good
                one from Sun Nov 2 23:47:00 2003 GMT - no new ones yet.

                Cheers,
                -------------------------------------------
                James Dempsey
                JDempsey@...
                PCGEN Code Monkey


                ----- Original Message -----
                From: "Paul M. Lambert" <plambert@...>
                To: <pcgen@yahoogroups.com>
                Sent: Tuesday, November 04, 2003 10:20 AM
                Subject: Re: [pcgen] Re: rpg.plambert.net autobuilds failing...


                >
                > OK, I'm firing up the autobuilds again. Thanks to everyone who tested
                > it!
                >
                > --plambert
              Your message has been successfully submitted and would be delivered to recipients shortly.